Upd 4.17.9/05.12.19>Plugin ipRec Fernprogrammierung/Remote recording via tvtv.xx,tvinfo.de

  • Hallo,


    mir ist gerade aufgefallen, dass es keinerlei Möglichkeit gibt zu erkennen, wenn es zu einem Konflikt kommt.


    Autotimer legt den neuen Timer dann als inaktiv an. Kannst du ipRec auch dazu bringen in so einem Fall einen inaktiven Timer an zu legen?


    Oder wenigstens einen Vermerk in einem Log machen? Im ipRec.log sehe ich gar nicht ob ein Timer angelegt wurde, nur welche Timer aus TVinfo kommen. Was mit den Infos aus TVinfo dann passiert sehe ich nicht, oder?


    Optimal wäre wenn ipRec mit für jeden Timer eine Email senden würde mit dem Vermerk ob der timer erfolgreich angelegt wurde oder ob es zu einem Konflikt gekommen ist. Aber das wäre sicher zu viel verlangt.

    Viele Grüße vom verrückten Hund


    Sat-Receiver: DM800HD PVR (Merlin3 OE2.0 + Rambo + Gemini 3.2)
    TV: LG 42LW4500
    StreamingClient: PopcornHour A-200

  • Hallo,


    heute habe ich die Info erhalten, dass die gezipte Deb Datei 0 Bytes groß wäre. Ich habe es geprüft und festgestellt das stimmt.


    Ich habe das Problem behoben. Wer ipRec 4.17.1 für die DM7080, DM820, DM900 heruntergeladen hat, sollte die Version nochmal herunterladen.


    crazydogs ich schecke nicht auf Konflikte und lass mir das einmal durch den Kopf gehen.


    Viele Grüße


    Aladin

  • Hallo Aladin,


    danke für die schnelle Hilfe.
    Habe ipRec 4.17.1 neu heruntergeladen, installiert und - funktioniert.


    Prima Tool.


    Grüße


    newboxerk

  • Hallo,


    ich habe eine neue ipRec Version für die


    DM500HD, DM800HD, DM800SE, DM8000, DM7020HD


    und die


    DM7080HD, DM820HD, DM900


    online gestellt.


    Seit der Umstellung von tvinfo von http auf https funktionierte mein Plugin nicht mehr. Die neue Version behebt das Problem.


    Viel Erfolg


    Aladin

  • :hurra: :hurra: :hurra: Super, danke :hurra: :hurra: :hurra:

    Viele Grüße vom verrückten Hund


    Sat-Receiver: DM800HD PVR (Merlin3 OE2.0 + Rambo + Gemini 3.2)
    TV: LG 42LW4500
    StreamingClient: PopcornHour A-200

  • Hallo,
    danke für das update! ich hatte noch nichtmal bemerkt das es nicht mehr geht :-)


    nach dem installation des Update auf die 4.17.2 bei meiner 7080 bekomme ich im log die Fehlermeldung:



    fehlt da etwas?


    gruß aufdersuche

  • Hallo aufdersuche,


    im Verzeichnis


    /usr/lib/enigma2/python/Plugins/Extensions/ipRecService


    fehlt wohl die Datei xmltools.py.


    Wenn sie fehlt ipRec deinstallieren und nochmal mit der neuen Version installieren.


    Viel Erfolg


    Aladin

  • Hallo aladin,


    danke für die Hilfe, allerdings keine Änderung, schon bei der Installation:




    die Datei xmltools ist an der angegebenen Stelle vorhanden


    Gruß
    aufdersuche

  • Hallo aufdersuche,


    sorry das ich mich erst jetzt melde. Aber ich habe im Internet gesucht, ob es so ein Problem schon einmal gegeben hat. Ich bin aber nicht fündig geworden. Es scheint mir, dass igendwas mit der Python Umgebung nicht mehr funktioniert. Eventuall könnnte das Flashen eines neuen Images helfen.


    Viele Grüße


    Aladin

  • Hallo Aladin


    Beim Installieren der neuen Version (iprec_4.16.23_all.ipk) bekomme ich beim Installieren, bzw. beim anschliessenden konfigurieren (TVinfo) folgende Fehlermeldung(en)


    Traceback (most recent call last):
    File "/bin/iprec", line 130, in <module>
    AskForReturn(15)
    File "/bin/iprec", line 59, in __init__
    self.timeout()
    File "/bin/iprec", line 116, in timeout
    Hook(self.ConfigHook)
    File "/usr/lib/enigma2/python/Plugins/Extensions/ipRecService/xmltools.py", li
    ne 74, in Hook
    mod = __import__(modpath)
    File "/usr/lib/enigma2/python/Plugins/Extensions/ipRecService/Interfaces/tvinf
    o.py", line 6, in <module>
    import ssl
    File "/usr/lib/python2.6/ssl.py", line 58, in <module>
    import textwrap
    ImportError: No module named textwrap


    Hast Du eine Idee was ich da falsch mache oder woran es liegen kann?

  • Hallo Aladin,


    Super vielen Dank !!! vor allem auch noch so schnell (und ich bastel hier schon seit Stunden)


    python-misc war schon installiert aber python-textutils fehlte..


    Ich hatte schon angefangen die Scripte der "alten Version" zu ändern damit ich das wieder zum laufen bekomme, aber es lief einfach nicht ...


    komischerweise haben meine Änderungen nach dem ich das eine Paket installiert habe, auch funktioniert. Hab aber lieber gleich die neue Version genommen...


    Jetzt gehts bei den anderen 3 Boxen hoffentlich schnell :-)


    Super Plugin übrigens, ich wüßte nicht was ich ohne tun sollte, bin immer schon in Panik wenn es mal nicht läuft... aber es läuft ja nun wieder <freu>


    viele Grüße
    Hansi

  • Hallo Nochmal,


    Kannst Du Gedanken lesen? ... wollte grade schreiben das es mit der 4.16.23 immer noch nicht geht (synchronisiert sich nicht) ...


    Da aktualisiere ich noch mal und lese Dein Edit das ich die 4.16.24 nehmen soll, und damit läuft es scheinbar wieder perfekt !!!!


    hatte zwischendurch schon meine veränderte 4.16.22 überall drauf, die ging auch ... naja nun noch auf 2 Boxen die .24 drauf und dann hab ich es hoffentlich wieder überall.


    Nochmal vielen Dank für die sehr schnelle Hilfe, hast mich echt gerettet, hatte schon angefangen die Dreamboxen per Hand zu füttern, bei einer gehts auch noch, bei 4 wirds anstrengend :-(


    viele Grüße Hansi

  • Hallo Aladin,


    leider bleibt der Fehler auch in einem junfräulichen NN2


    gruß
    aufdersuche

  • Habe auch das gleiche Problem auf einem komplett neu installierten OE 2.5


    iprec 4.7.1 rennt bei der 4.7.2 kommt die Fehlermeldung

  • Hi Aladin,


    ganz herzlichen Dank für Deine Unterstützung!
    Die neue Version 4.17.3 hat sich ohne Fehler installieren lassen.


    Beste Grüße
    Murkelbach